﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;
using System.Web.Services;
using System.Text;

public partial class aspnet_jquery_populate_cascading_dropdownlist_index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindCategory();
        }
    }

    [WebMethod]
    public static string bindproduct(string categoryId)
    {
        string query = "SELECT PRODUCTID,PRODUCTNAME FROM PRODUCTS WHERE CATEGORYID=" + categoryId;

        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        DataTable dataTable = new DataTable();
        conn.ConnectionString = ConfigurationManager.ConnectionStrings["CS"].ConnectionString;
        cmd.Connection = conn;

        cmd.CommandType = CommandType.Text;
        cmd.CommandText = query;
        cmd.Connection = conn;

        SqlDataAdapter sqlDataAdapter = new SqlDataAdapter();
        sqlDataAdapter.SelectCommand = cmd;

        sqlDataAdapter.Fill(dataTable);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.Append("<option value=\"0\">Select</option>");
        foreach (DataRow dr in dataTable.Rows)
            stringBuilder.Append("<option value=\"" + dr["ProductID"] + "\">" + dr["ProductName"] + "</option>");
        return stringBuilder.ToString();
    }

    void BindCategory()
    {
        string query = "SELECT CATEGORYID,CATEGORYNAME FROM CATEGORIES";

        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        DataTable dataTable = new DataTable();
        conn.ConnectionString = ConfigurationManager.ConnectionStrings["CS"].ConnectionString;
        cmd.Connection = conn;

        cmd.CommandType = CommandType.Text;
        cmd.CommandText = query;
        cmd.Connection = conn;

        SqlDataAdapter sqlDataAdapter = new SqlDataAdapter();
        sqlDataAdapter.SelectCommand = cmd;
        sqlDataAdapter.Fill(dataTable);

        categoryDropDownList.DataSource = dataTable;
        categoryDropDownList.DataTextField = "CategoryName";
        categoryDropDownList.DataValueField = "CategoryID";
        categoryDropDownList.DataBind();
        categoryDropDownList.Items.Insert(0, new ListItem("Select", "0"));
        productDropDownList.Items.Insert(0, new ListItem("Select", "0"));
    }
}